安裝我們的應用程式 🪄 點擊地址欄右上角的 圖示。

我的團隊

GET https://www.am-devel.com/api/teams/
curl --request GET \
--url 'https://www.am-devel.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
參數 詳細資訊 描述
page 可選的 整數 您想要結果的頁碼。預設為 1
results_per_page 可選的 整數 每頁您想要多少結果。允許的值為:10 , 25 , 50 , 100 , 250 , 500 , 1000。默認為25
{ "data": [ { "id": 1, "name": "Example team", "team_members": [ { "team_member_id": 1, "user_email": "hello@example.com", "access": { "read": true, "create": true, "update": true, "delete": false }, "status": 1, "datetime": "2026-09-17 13:47:15", "last_datetime": null } ], "last_datetime": null, "datetime": "2026-09-17 13:47:15" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://www.am-devel.com/api/teams?&page=1", "last": "https://www.am-devel.com/api/teams?&page=1", "next": null, "prev": null, "self": "https://www.am-devel.com/api/teams?&page=1" } }
GET https://www.am-devel.com/api/teams/{team_id}
curl --request GET \
--url 'https://www.am-devel.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "name": "Example team", "team_members": [ { "team_member_id": 1, "user_email": "hello@example.com", "access": { "read": true, "create": true, "update": true, "delete": false }, "status": 1, "datetime": "2026-09-17 13:47:15", "last_datetime": null } ], "last_datetime": null, "datetime": "2026-09-17 13:47:15" } }
POST https://www.am-devel.com/api/teams
參數 詳細資訊 描述
name 必填 字串 -
curl --request POST \
--url 'https://www.am-devel.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{ "data": { "id": 1 } }
POST https://www.am-devel.com/api/teams/{team_id}
參數 詳細資訊 描述
name 可選的 字串 -
curl --request POST \
--url 'https://www.am-devel.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{ "data": { "id": 1 } }
DELETE https://www.am-devel.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://www.am-devel.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \